<div class="container">
    <nav class="navbar">
        <h1 class="navbar-brand">Client</h1>

        <button (click)="logout()" *ngIf="isLogged" class="btn btn-primary">Déconnexion</button>
    </nav>

    <div *ngIf="!isLogged && isLogin" class="col-4 offset-4">
        <h2>Connexion</h2>
        <form>
            <div class="form-group">
                <label for="exampleInputEmail1">Email address</label>
                <input type="text" [(ngModel)]="user.username" class="form-control" placeholder="username"
                    name="login_username" />
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="text" [(ngModel)]="user.password" class="form-control" placeholder="password"
                    name="login_password" />
            </div>

            <button type="button" (click)="login()" class="btn btn-primary">Connexion</button><br />
            <a (click)="isRegister = true; isLogin = false;">Pas de compte ? s'inscrire</a>
        </form>
    </div>

    <div *ngIf="!isLogged && isRegister" class="col-4 offset-4">
        <h2>Inscription</h2>
        <form>
            <div class="form-group">
                <label for="exampleInputEmail1">Email address</label>
                <input type="text" [(ngModel)]="newUser.username" class="form-control" placeholder="username"
                    name="register_username" />
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="text" [(ngModel)]="newUser.password" class="form-control" placeholder="password"
                    name="register_password" />
            </div>

            <button type="button" (click)="register()" class="btn btn-primary">Inscription</button><br />
            <a (click)="isRegister = false; isLogin = true;">Déjà un compte ? se connecter</a>
        </form>
    </div>

    <div *ngIf="isLogged">
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
            Ajouter un message codé
        </button>

        <h3 class="mt-5">Liste des messages à décoder</h3>
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">codedMsg</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let item of codedMsgs">
                    <td>{{item.label}}</td>
                    <td>
                        <button (click)="decodMsg(item.id)" class="btn btn-primary">Décoder</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="isLogged">
        <h3 class="mt-5">Liste des messages décodés</h3>
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">date</th>
                    <th scope="col">username</th>
                    <th scope="col">codedMsg</th>
                    <th scope="col">decodedMsg</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let item of decodedMsgs">
                    <td>{{item.date | date:'medium'}}</td>
                    <td>{{item.userName}}</td>
                    <td>{{item.codedMsg}}</td>
                    <td>{{item.decodedMsg}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close" #clodeModal>
                    <span aria-hidden="true">&times;</span>
                </button>

                <form>
                    <div class="form-group">
                        <input type="text" [(ngModel)]="newCodedMsg" class="form-control" placeholder="Message codé"
                            name="codedMsg" />
                    </div>

                    <button type="button" (click)="addCodedMsg()" class="btn btn-primary">Ajouter</button>
                </form>
            </div>
        </div>
    </div>
</div>
